| Home | Libraries | People | FAQ | More

### socket_acceptor_service

Default service implementation for a socket acceptor.

    template<
        typename Protocol>
    class socket_acceptor_service :
      public io_service::service

##### Types

Name | Description
--- | ---
endpoint_type | The endpoint type.
implementation_type | The native type of the socket acceptor.
native_type | The native acceptor type.
protocol_type | The protocol type.

##### Member Functions

Name | Description
--- | ---
accept | Accept a new connection.
assign | Assign an existing native acceptor to a socket acceptor.
async_accept | Start an asynchronous accept.
bind | Bind the socket acceptor to the specified local endpoint.
cancel | Cancel all asynchronous operations associated with the acceptor.
close | Close a socket acceptor implementation.
construct | Construct a new socket acceptor implementation.
destroy | Destroy a socket acceptor implementation.
get_io_service | Get the io_service object that owns the service.
get_option | Get a socket option.
io_control | Perform an IO control command on the socket.
io_service | (Deprecated: use get_io_service().) Get the io_service object that owns the service.
is_open | Determine whether the acceptor is open.
listen | Place the socket acceptor into the state where it will listen for new connections.
local_endpoint | Get the local endpoint.
native | Get the native acceptor implementation.
open | Open a new socket acceptor implementation.
set_option | Set a socket option.
shutdown_service | Destroy all user-defined handler objects owned by the service.
socket_acceptor_service | Construct a new socket acceptor service for the specified io_service.

##### Data Members

Name | Description
--- | ---
id | The unique service identifier.